[blfs-dev] Little CMS version 2.x

Ken Moffat zarniwhoop at ntlworld.com
Tue Aug 21 11:09:39 PDT 2012


On Tue, Aug 21, 2012 at 11:45:08AM -0500, Randy McMurchy wrote:
> Hi all,
> 
> Could anyone get me up to speed on what packages have incompatibilities with
> the Little CMS version 2.x engine? Thanks!
> 
 For things in the book, the last person to look was Andy.  Google
finds his comments on the gimp and poppler.  Then he pointed to a
debian patch for poppler.  I think we've upgraded both since then,
it looks as if poppler can now use lcms2.

 For the moment, I still have to build lcms1 - it dropped out of my
build when firefox (I think) stopped using it, only to get pulled
back in for ufraw.

 Using recent source, apparently the following might still use lcms1:

ken at milliways ~/repos/BLFS-full/trunk/BOOK $find -name '*.xml' |
grep -v -e '/tmp' -e '/archive' | xargs egrep 'linkend.*lcms./'

 gives me

./pst/printing/gs.xml:      <xref linkend="lcms"/>,
./pst/scanning/xsane.xml:      <xref linkend="lcms"/>, and
./xsoft/other/gimp.xml:    <xref linkend="lcms"/>,
./xsoft/other/inkscape.xml:      <xref linkend="lcms"/>
./general/graphlib/libmng.xml:    <xref linkend="lcms"/></para>
./general/graphlib/poppler.xml:      <xref linkend="lcms"/> or <xref
linkend="lcms2"/>,
./general/genutils/imagemagick.xml:    <xref linkend="lcms"/> or

 - obviously poppler is a false positive

ĸen
-- 
das eine Mal als Tragödie, das andere Mal als Farce



More information about the blfs-dev mailing list